Spis treści
Indeks 🔎︎

# Uruchamianie programów pakietu LibreOffice z podaniem parametrów

Programy pakietu LibreOffice można uruchamiać z podaniem różnych parametrów mających wpływ na działanie tych programów. Korzystanie z parametrów wiersza poleceń zaleca się tylko doświadczonym użytkownikom.

W zwykłej pracy korzystanie z parametrów wiersza poleceń nie jest konieczne. Niektóre parametry wymagają dokładnej znajomości aspektów technicznych oprogramowania LibreOffice.

## Uruchamianie programów pakietu LibreOffice z wiersza poleceń

1. W systemie Windows, należy wybrać polecenie Uruchom z menu Start lub otworzyć powłokę w systemach LInux, *BSD lub macOS.

2. W systemie Windows w polu Otwórz wpisz następujący tekst i kliknij przycisk OK.

3. W systemach uniksowych, należy wpisać następującą linię tekstu i nacisnąć przycisk Return:

   {ścieżka_instalacyjna}\program\soffice.exe {parametr}{ścieżka_instalacyjna}/program/soffice {parametr}

   Replace {install} with the path to your installation of LibreOffice software (for example, C:\Program Files\Office in Windows, or ~/office in UNIX)

## Obsługiwane parametry wiersza poleceń

### Używanie bez specjalnych argumentów

Użycie bez argumentów otwiera planszę startową.

{file} | Próbuje otworzyć pliki w odpowiednich dla nich komponentach.
{file} macro:///[Library.Module.MacroName] | Otwiera plik i stosuje określone makra z pliku.

### Uzyskiwanie pomocy i informacji

Parameter | Znaczenie
--help / -h / -? | Wyświetla dostępne parametry linii poleceń do konsoli.
--helpwriter | Otwiera wbudowany lub dostępny online podręcznik pomocy LibreOffice Writer.
--helpcalc | Otwiera wbudowany lub dostępny online podręcznik pomocy LibreOffice Calc.
--helpdraw | Otwiera wbudowany lub dostępny online podręcznik pomocy LibreOffice Draw.
--helpimpress | Otwiera wbudowany lub dostępny online podręcznik pomocy LibreOffice Impress.
--helpbase | Otwiera wbudowany lub dostępny online podręcznik pomocy LibreOffice Base.
--helpbasic | Otwiera wbudowany lub dostępny online podręcznik pomocy języka skryptowego LibreOffice Basic.
--helpmath | Otwiera wbudowany lub dostępny online podręcznik pomocy LibreOffice Math.
--version | Pokazuje wersję LibreOffice i kończy pracę.
--nstemporarydirectory | (macOS sandbox only) Returns path of the temporary directory for the current user and exits. Overrides all other arguments.

### Ogólne argumenty

Parameter | Znaczenie
--quickstart[=no] | Aktywuje [Dezaktywuje] usługę Quickstarter. Może pobierać tylko jeden parametr no, który dezaktywuje usługę Quickstarter. Bez parametrów, usługa jest włączana.
--nolockcheck | Wyłącza sprawdzania obecności zdalnych instancji w trakcie instalacji.
--infilter={filter} | Forces an input filter type, if possible. For example: --infilter="Calc Office Open XML" --infilter="Text (encoded):UTF8,LF,Liberation Mono,en-US".
--pidfile={file} | Zapisz identyfikator PID procesu soffice.bin do {file}.
--display {display} | Ustawia zmienną środowiskową DISPLAY w systemach uniksowych na wartość {display}. Parametr ten obsługiwany jest tylko przez skrypt startowy oprogramowania LibreOffice w systemach uniksowych.

### Kontrola interfejsu programistycznego/użytkownika

Parameter | Znaczenie
--nologo | Wyłącza wyświetlanie ekranu powitalnego.
--minimized | Uruchamia program w postaci zminimalizowanej. Ekran powitalny nie jest wyświetlany.
--nodefault | Rozpoczęcie bez otwarcia okna.
--invisible | Uruchamia program w trybie niewidocznym. Ekran powitalny i początkowe okno programu nie są wyświetlane. Oprogramowaniem LibreOffice można sterować przez interfejs API. Jeśli oprogramowanie LibreOffice zostało uruchomione z tym parametrem, można zakończyć jego pracę tylko z poziomu Menadżera Zadań (Windows) lub z użyciem polecenia kill (w systemach uniksowych). Tego parametru nie można używać w połączeniu z parametrem -quickstart. Więcej informacji można znaleźć w podręczniku programisty LibreOffice Developer's Guide.
--headless | Uruchamia aplikację w trybie bez ekranu, umożliwia korzystanie z programu bez pośrednictwa interfejsu użytkownika. Ten specjalny tryb może być wykorzystywany w przypadku, gdy aplikacja jest sterowana z poziomu zewnętrznego klienta przez interfejs API.
--norestore | Wyłącza funkcję ponownego uruchamiania programu i odzyskiwania plików po awarii.
--safe-mode | Uruchamia w trybie awaryjnym tj. uruchamia ze świeżym profilem użytkownika i pomaga przywrócić konfigurację, która uległa uszkodzeniu.
--accept={UNO} | Zawiadamia oprogramowanie LibreOffice, że po utworzeniu wątków "UNO Acceptor Thread" ma zostać zastosowany ciąg "UNO Accept String". UNO-URL jest ciągiem rodzaju uno:connection-type,params;protocol-name,params;ObjectName. Więcej informacji można znaleźć w podręczniku programisty LibreOffice Developer's Guide.
--unaccept={UNO-URL} | Zamyka akceptor utworzony przez polecenie --accept={UNO-URL}. Użycie polecenia --unaccept=all zamknie wszystkie akceptory.
--language={lang} | Używa określonego języka, jeśli język nie został jeszcze wybrany dla interfejsu użytkownika. Lang jest znacznikiem języka nadanym zgodnie z wytycznymi organizacji IETF.

### Argumenty programistów

Parameter | Znaczenie
--terminate_after_init | Wyjdź po zakończeniu inicjalizacji (bez wczytywania dokumentów).
--eventtesting | Wyjdź po załadowaniu dokumentów.

Unix and Linux user can invoke LibreOffice with these additional parameters for debugging purposes.

Parameter | Meaning
--record | An enhanced debugger.
--backtrace | Prints the backtrace of the entire stack.
--strace | strace is a diagnostic, debugging and instructional userspace utility for Linux.
--valgrind | Automatically detect many memory management and threading bugs, and profile the program in detail.

The debug options --record, --backtrace, --strace and --valgrind cannot be used together. Please use them one by one.

### Argumenty tworzenia nowych dokumentów

Argumenty tworzą pusty dokument określonego rodzaju. Tylko jeden z nich może być używany w jednej linii poleceń. Jeśli nazwy plików zostały określone po argumencie, wtedy program próbuje otworzyć te pliki w określonym komponencie.

Parameter | Znaczenie
--writer | Uruchamia program Writer z pustym dokumentem.
--calc | Uruchamia program Calc z pustym dokumentem.
--draw | Uruchamia program Draw z pustym dokumentem.
--impress | Uruchamia program Impress z pustym dokumentem.
--math | Uruchamia program Math z pustym dokumentem.
--global | Uruchamia program z pustym dokumentem globalnym.
--web | Uruchamia program z pustym dokumentem HTML.

### Argumenty otwierania pliku

Argumenty definiują, jak traktowane są następujące nazwy plików. Nowa operacja rozpoczyna się po argumencie i kończy się przy następnym argumencie. Domyślnym zachowaniem jest otwarcie dokumentów do edycji i tworzenie nowych dokumentów z ich szablonów.

Parameter | Znaczenie
-n | Traktuje następujące pliki jako szablony, z których powstają nowe dokumenty.
-o | Otwiera następujące pliki do edycji, niezależnie od tego, czy są szablonami czy nie.
--pt {Printername} | Drukuje następujące pliki do drukarce {nazwa_drukarki} i kończy pracę. Ekran powitalny nie jest wyświetlany. Jeśli nazwa pliku zawiera spacje, musi zostać umieszczona w cudzysłowie. Jeśli użyto wielokrotnie, to tylko ostatni parametr {Printername} jest brany pod uwagę w przypadku wszystkich dokumentów wszystkich uruchomionych argumentów --pt. Ponadto argument --printer-name parametru --print-to-file przełącza interfejsy wraz z {Printername}.
-p | Drukuje następujące pliki do domyślnej drukarki, po czym pliki te są zamykane. Ekran powitalny nie pojawia się. Jeśli nazwa pliku zawiera spacje, musi zostać umieszczona w cudzysłowie.
--view | Otwiera następujące pliki w trybie przeglądarki (tylko do odczytu).
--show | Natychmiast otwiera i uruchamia następujące dokumenty prezentacji. Pliki są zamykane po pokazie. Pliki inne niż dokumenty Impress są otwierane w trybie domyślnym, niezależnie od poprzedniego trybu.
--convert-to OutputFileExtension[:OutputFilterName] [--outdir output_dir] | Grupuje konwertowane pliki (implikuje argument --headless). Jeśli nie podano parametru --outdir, jako folder wyjściowy jest używany bieżący katalog roboczy. Jeśli polecenie --convert-to jest używane więcej niż jeden raz, ostatnia wartość OutputFileExtension[:OutputFilterName] jest brana pod uwagę. Jeśli parametr --outdir jest używany więcej niż jeden raz, tylko jego ostatnia wartość jest brana pod uwagę. Na przykład: --convert-to pdf *.doc --convert-to pdf:writer_pdf_Export --outdir /home/user *.doc --convert-to "html:XHTML Writer File:UTF8" *.doc --convert-to "txt:Text (encoded):UTF8" *.doc See the list of document filters for file conversion.
--print-to-file [--printer-name printer_name] [--outdir output_dir] | Grupuje pliki do wydruku w jeden plik. Jeśli nie podano parametru --outdir, jako folder wyjściowy używany jest bieżący katalog roboczy. Jeśli --printer-name lub --outdir użyto wielokrotnie, to tylko ostatnia wartość każdego z parametrów jest brana pod uwagę. Ponadto {Printername} parametru --pt przełącza interfejsy wraz z --printer-name. Na przykład: --print-to-file *.doc --print-to-file --printer-name nasty_lowres_printer --outdir /home/user *.doc
--cat | Applies filter "txt:Text" to the following text documents and dump text content to console (implies --headless). Cannot be used with --convert-to.
-env:VAR[=VALUE] | Ustaw zmienną bootstrap. Na przykład: aby ustawić niestandardową ścieżkę profilu użytkownika: -env:UserInstallation=file:///tmp/test

### Ignorowane przełączniki

Parameter | Znaczenie
-psn | Ignorowany (macOS only)
-Embedding | Ignorowany (powiązany z COM+; tylko Windows)
--nofirststartwizard | Nic nie zmienia, zaakceptowany tylko dla zachowania kompatybilności wstecznej.
--protector {arg1} {arg2} | Używane tylko w testach jednostkowych i powinny mieć dwa argumenty.